globus_i_ftp_client_target_s Struct Reference

FTP Connection State. More...

`#include <globus_i_ftp_client.h>`

Collaboration diagram for globus_i_ftp_client_target_s:
[legend]

## Data Fields

globus_ftp_client_target_state_t | state
globus_ftp_control_handle_t * | control_handle
char * | url_string
globus_url_t | url
globus_ftp_control_auth_info_t | auth_info
globus_i_ftp_client_features_t * | features
globus_ftp_control_dcau_t | dcau
globus_i_ftp_client_operationattr_t * | attr
globus_i_ftp_client_handle_t * | owner
globus_i_ftp_client_data_target_t | cached_data_conn
globus_ftp_client_plugin_command_mask_t | mask

## Detailed Description

FTP Connection State.

This type is used to store information about an active FTP control connection. This information includes the FTP control handle, the extensions which the server supports, and the current session settings which have been set on the control handle.

## Field Documentation

globus_i_ftp_client_operationattr_t* globus_i_ftp_client_target_s::attr

Requested settings

globus_ftp_control_auth_info_t globus_i_ftp_client_target_s::auth_info

Information about server authentication.

globus_i_ftp_client_data_target_t globus_i_ftp_client_target_s::cached_data_conn

Data connection caching information

globus_ftp_control_handle_t* globus_i_ftp_client_target_s::control_handle

Handle to an FTP control connection.

globus_ftp_control_dcau_t globus_i_ftp_client_target_s::dcau

Current settings

globus_i_ftp_client_features_t* globus_i_ftp_client_target_s::features

Features we've discovered about this target so far.

globus_ftp_client_plugin_command_mask_t globus_i_ftp_client_target_s::mask

Plugin mask associated with the currently pending command.

globus_i_ftp_client_handle_t* globus_i_ftp_client_target_s::owner

The client that this target is associated with

globus_ftp_client_target_state_t globus_i_ftp_client_target_s::state

Current connection/activity state of this target

globus_url_t globus_i_ftp_client_target_s::url

Host/port we are connected to.

char* globus_i_ftp_client_target_s::url_string

URL we are currently processing.

The documentation for this struct was generated from the following file:

- globus_i_ftp_client.h